require "util"

data:extend({
  {
    type = "item-subgroup",
    name = "dispensable-capsules",
    group = "combat",
    order = "c-b"
  }
})

for name, capsule in pairs(data.raw.capsule) do
	if capsule.capsule_action.attack_parameters then
		data:extend({
			{
				type = "ammo",
				name = "dispensable-" .. capsule.name,
				icon = capsule.icon,
				flags = {"goes-to-main-inventory"},
				ammo_type = util.table.deepcopy(capsule.capsule_action.attack_parameters.ammo_type),
				magazine_size = 1,
				subgroup = "dispensable-capsules",
				order = capsule.order,
				stack_size = capsule.stack_size
			}
		})
	end
end