table.insert(data.raw.technology["military-4"].effects, {type = "unlock-recipe", recipe = "hand-cannon"})

data:extend({
  {
    type = "technology",
    name = "cannon-damage-1",
    icon = modTech.."hand-cannon-damage.png",
	icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "cannon-shell",
        modifier = "0.1"
      }
    },
    prerequisites = {"military-4"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-k-a"
  },
  {
    type = "technology",
    name = "cannon-damage-2",
    icon = modTech.."hand-cannon-damage.png",
	icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "cannon-shell",
        modifier = "0.1"
      }
    },
    prerequisites = {"cannon-damage-1"},
    unit =
    {
      count = 400,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-k-b"
  },
  {
    type = "technology",
    name = "cannon-damage-3",
    icon = modTech.."hand-cannon-damage.png",
	icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "cannon-shell",
        modifier = "0.15"
      }
    },
    prerequisites = {"cannon-damage-2"},
    unit =
    {
      count = 800,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-k-c"
  },
  {
    type = "technology",
    name = "cannon-damage-4",
    icon = modTech.."hand-cannon-damage.png",
	icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "cannon-shell",
        modifier = "0.15"
      }
    },
    prerequisites = {"cannon-damage-3"},
    unit =
    {
      count = 1600,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-k-d"
  },
  {
    type = "technology",
    name = "cannon-damage-5",
    icon = modTech.."hand-cannon-damage.png",
	icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "cannon-shell",
        modifier = "0.2"
      }
    },
    prerequisites = {"cannon-damage-4"},
    unit =
    {
      count = 3200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-k-e"
  },
  
  {
    type = "technology",
    name = "cannon-speed-1",
    icon = modTech.."hand-cannon-speed.png",
	icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "cannon-shell",
        modifier = "0.3"
      }
    },
    prerequisites = {"military-4"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-l-a"
  },
  {
    type = "technology",
    name = "cannon-speed-2",
    icon = modTech.."hand-cannon-speed.png",
	icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "cannon-shell",
        modifier = "0.45"
      }
    },
    prerequisites = {"cannon-speed-1"},
    unit =
    {
      count = 400,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-l-b"
  },
  {
    type = "technology",
    name = "cannon-speed-3",
    icon = modTech.."hand-cannon-speed.png",
	icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "cannon-shell",
        modifier = "0.6"
      }
    },
    prerequisites = {"cannon-speed-2"},
    unit =
    {
      count = 800,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-l-c"
  },
  {
    type = "technology",
    name = "cannon-speed-4",
    icon = modTech.."hand-cannon-speed.png",
	icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "cannon-shell",
        modifier = "0.75"
      }
    },
    prerequisites = {"cannon-speed-3"},
    unit =
    {
      count = 1600,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-l-d"
  },
  {
    type = "technology",
    name = "cannon-speed-5",
    icon = modTech.."hand-cannon-speed.png",
	icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "cannon-shell",
        modifier = "0.9"
      }
    },
    prerequisites = {"cannon-speed-4"},
    unit =
    {
      count = 3200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-l-e"
  },
})