data:extend({
  {
    type = "gun",
    name = "hand-cannon",
    icon = modIcon.."hand-cannon.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "f[hand-cannon]",
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "cannon-shell",
      cooldown = 90,
      movement_slow_down_factor = 0,
      projectile_creation_distance = 1.6,
      projectile_center = {-0.15625, -0.07812},
      range = 25,
      sound =
      {
        {
          filename = "__base__/sound/fight/tank-cannon.ogg",
          volume = 1.0
        }
      },
    },
    stack_size = 5
  }
})