data:extend({
  {
    type = "technology",
    name = "cannon-turrets",
    icon = modTech.."cannon-turrets.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "cannon-turret"
      },
      {
        type = "unlock-recipe",
        recipe = "small-cannon-shell"
      },
      {
        type = "unlock-recipe",
        recipe = "small-explosive-cannon-shell"
      },
    },
    prerequisites = {"turrets", "tanks"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 30
    },
    order = "a-j-c"
  },
  {
    type = "technology",
    name = "capsule-dispenser",
    icon = modTech.."capsule-dispenser.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "capsule-dispenser"
      }
    },
    prerequisites = {"military-2"},
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 30
    },
    order = "a-j-c"
  },
})