data.raw.technology["stone-walls"].order = "a-k-a-b"
data.raw.technology["stone-walls"].unit = {
	count = 20,
	ingredients = {{"science-pack-1", 1}},
	time = 20
	}
if data.raw.technology["stone-walls"].prerequisites then 
	table.insert(data.raw.technology["stone-walls"].prerequisites, "fence")
else
	data.raw.technology["stone-walls"].prerequisites = {"fence"}
end

data:extend({
  {
    type = "technology",
    name = "fence",
    icon = modTech.."fence.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "barbed-wire"
      },
	  {
        type = "unlock-recipe",
        recipe = "wire-fence"
      }
    },
    unit =
    {
      count = 10,
      ingredients = {{"science-pack-1", 1}},
      time = 10
    },
    order = "a-k-a-a"
  },  
  {
    type = "technology",
    name = "electric-fence",
    icon = modTech.."electric-fence.png",
	icon_size = 128,
	prerequisites = {"fence","military-2","laser-turrets"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electric-fence"
      }
    },
    unit =
    {
      count = 250,
      ingredients = {
		{"science-pack-1", 1},
		{"science-pack-2", 1},
		{"science-pack-3", 1}
		},
      time = 30
    },
    order = "a-k-a-c"
  },
})