data:extend({
{
	type = "tile",
	name = "blue-tile",
	needs_correction = false,
	collision_mask = {"ground-tile"},
	walking_speed_modifier = 1.4,
	layer = 61,
	decorative_removal_probability = 1,
	variants = {
		main = {
			{
				picture = modIcon.."blue.png",
				count = 1,
				size = 1
			},
		},
		inner_corner = {
			picture = "__base__/graphics/terrain/concrete/concrete-inner-corner.png",
			count = 8
		},
		outer_corner = {
			picture = "__base__/graphics/terrain/concrete/concrete-outer-corner.png",
			count = 8
		},
		side = {
			picture = "__base__/graphics/terrain/concrete/concrete-side.png",
			count = 8
		},
		u_transition = {
			picture = "__base__/graphics/terrain/concrete/concrete-u.png",
			count = 8
		},
		o_transition = {
			picture = "__base__/graphics/terrain/concrete/concrete-o.png",
			count = 1
		}
	},
	walking_sound = {
		{
			filename = "__base__/sound/walking/concrete-01.ogg",
			volume = 1.2
		},
		{
			filename = "__base__/sound/walking/concrete-02.ogg",
			volume = 1.2
		},
		{
			filename = "__base__/sound/walking/concrete-03.ogg",
			volume = 1.2
		},
		{
			filename = "__base__/sound/walking/concrete-04.ogg",
			volume = 1.2
		}
	},
	map_color={r=0, g=0, b=100},
	ageing=0,
	vehicle_friction_modifier = concrete_vehicle_speed_modifier
},
{
	type = "item",
	name = "blue-tile",
	icon = modIcon.."blue.png",
	flags = {"goes-to-main-inventory"},
	subgroup = "terrain",
	order = "c[blue]",
	stack_size = 1000,
	place_as_tile =
	{
		result = "blue-tile",
		condition_size = 4,
		condition = { "water-tile" }
	}
}
})